
#include "all.h"
#include "../inc/param.h"
#include "../inc/cps_msgs.h"
#include "../inc/messages.h"

int CallCount[ MAX_PROCESSES ][ MAX_JM_MESSAGES ];

jm_profile_log( process, message )
int process;
int message;
{
	CallCount[ process ][ message ]++;
}

jm_profile_init()
{
	int process;
	int message;

	for( process = 0; process < MAX_PROCESSES; process++ )
		for( message = 0; message < MAX_JM_MESSAGES; message++ )
			CallCount[ process ][ message ] = 0;
}

jm_profile_write()
{
	int process;
	int message;

	for( process = 1; process <= mon_shm->num_proc; process++ )
	{
		printf("Process %d\n",process);
		for( message = 0; message < MAX_JM_MESSAGES; message++ )
			printf("%-16s %d\n",msg_name_jm[ message ],
				CallCount[ process ][ message ] );
	}
}
