/*
**
** Demo program:
** 
** Jet evaluation 
** 
** --- Leo Michelotti
** --- August 18, 1995
**
*/

#include "mxyzptlk.rsc"

main( int argc, char** argv ) {

 if( argc != 4 ) {
  cout << "\nUsage: " << argv[0] 
       << "  x y n\n"
       << endl;
  exit(0);
 }

 int deg = atoi( argv[3] );
 Jet::Setup( 2, deg );

 coord x( atof( argv[1] ) ), y( atof( argv[2] ) );
 Jet f = exp(-x*x) * sin(y);

 double point[2];
 while(1) {
   cout << "Enter x and y: ";
   cin  >> point[0] >> point[1];
   cout << "Jet answer: "
        << f( point ) 
        << "  Exact answer: " 
        << sin( point[1] ) * exp( - point[0]*point[0] )
        << endl;
 }

}
