
typedef struct
{
	char hostname [ 128 ];
	char jobname  [ 128 ];
	char directory[ 128 ];
	char username [  32 ];
	char version  [  16 ];
	long starttime;
	int  pid;
}
JmInfo;

typedef struct
{
	char hostname[ 128 ];
	CLIENT *cl;
	u_long prognum;
	u_long version;
}
ClientInfo;

typedef struct
{
	int pid[MAX_PROCESSES];
	char *host[MAX_PROCESSES];
	int class[MAX_PROCESSES];
	char *name[MAX_PROCESSES];
	char *directory[MAX_PROCESSES];
}
ProcessInfo;

typedef struct
{
	char *prompt1;
	char *prompt2;
	char *coredir;
	char *objdir;
	char *dbgdir;
	char *output;
	int queues;
	int syncs;
	int display;
	int dbxcopy;
	char *hosts;
	char *pager;
	char *dbx;
	char *dbxrun;
}
VariableInfo;

typedef struct
{
	int type;
	int number;
}
PointInfo;

typedef struct alias_element
{
	char *alias;
	char *command;
	struct alias_element *next;
}
AliasInfo;
